package setBytes

import "testing"

func myFunc(data []byte) int {
	return len(data)
}

func BenchmarkMyFunc(b *testing.B) {
	input := make([]byte, 10)
	b.SetBytes(int64(len(input)))
	for i := 0; i < b.N; i++ {
		_ = myFunc(input)
	}
}
