package startStopTimer

import "testing"

func sum(data []int) int {
	var sum int
	for _, val := range data {
		sum += val
	}
	return sum
}

func BenchmarkSum(b *testing.B) {
	b.StopTimer()
	var data []int
	for i := 0; i < 100000000; i++ {
		data = append(data, i)
	}
	b.StartTimer()
	for n := 0; n < b.N; n++ {
		sum(data) // Обработка данных
	}
	b.StopTimer()
	//некоторый код, который мы не хотим включать в результаты бенчмарка
}
