package parallel

import "testing"

func MyFunctionParallel(n int) int {
	return n * 2
}

func TestMyFunction1(t *testing.T) {
	t.Parallel()
	result := MyFunctionParallel(2)
	if result != 4 {
		t.Errorf("Expected MyFunction(2) to return 4, but got %d", result)
	}
}

func TestMyFunction2(t *testing.T) {
	t.Parallel()
	result := MyFunctionParallel(5)
	if result != 10 {
		t.Errorf("Expected MyFunction(5) to return 10, but got %d", result)
	}
}

func TestMyFunction3(t *testing.T) {
	t.Parallel()
	result := MyFunctionParallel(0)
	if result != 0 {
		t.Errorf("Expected MyFunction(0) to return 0, but got %d", result)
	}
}
